﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DELIABLEORG') 
 CREATE TABLE T_PHM_DELIABLEORG (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DEPERSONLIABLE') 
 CREATE TABLE T_PHM_DEPERSONLIABLE (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FLOWRESOURCE_L') 
 CREATE TABLE T_PHM_FLOWRESOURCE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FDELIVERABLESNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FLOWTASKWARN') 
 CREATE TABLE T_PHM_FLOWTASKWARN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMILEPOSTSTAGE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FMILEPOSTPERSON BIGINT DEFAULT 0 NOT NULL,
FPROCESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNODEPERSON BIGINT DEFAULT 0 NOT NULL,
FTASKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENDTIME DATETIME,
FNOWTIME DATETIME,
FTYPES NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTMANAGER BIGINT DEFAULT 0 NOT NULL,
FFRONTTASK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FAFTERTASK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTIME DATETIME,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FPROCESSHISTORY BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FENTRYTASK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRY_TASK BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_NOTICEPROCESSPERSON') 
 CREATE TABLE T_PHM_NOTICEPROCESSPERSON (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_OVERDUECYUSER') 
 CREATE TABLE T_PHM_OVERDUECYUSER (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PROCESOVERDUECYUSER') 
 CREATE TABLE T_PHM_PROCESOVERDUECYUSER (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PROCESSLIABLEORG') 
 CREATE TABLE T_PHM_PROCESSLIABLEORG (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PROCESSPERSONLIABLE') 
 CREATE TABLE T_PHM_PROCESSPERSONLIABLE (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PROCESSSUPERIOR') 
 CREATE TABLE T_PHM_PROCESSSUPERIOR (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PROCESSWARINGUSER') 
 CREATE TABLE T_PHM_PROCESSWARINGUSER (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PSERIOUSOVERDUEUSER') 
 CREATE TABLE T_PHM_PSERIOUSOVERDUEUSER (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_SERIOUSOVERDUEUSER') 
 CREATE TABLE T_PHM_SERIOUSOVERDUEUSER (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TASKNOTICE') 
 CREATE TABLE T_PHM_TASKNOTICE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FTASKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKPERSON BIGINT DEFAULT 0 NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FMILEPOSTSTAGE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FMILEPOSTPERSON BIGINT DEFAULT 0 NOT NULL,
FPROCESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNODEPERSON BIGINT DEFAULT 0 NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBEGINTIME DATETIME,
FENDTIME DATETIME,
FACTUALTIME DATETIME,
FSUPERLEADER BIGINT DEFAULT 0 NOT NULL,
FPROJECTMANAGER BIGINT DEFAULT 0 NOT NULL,
FFRONTTASK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FAFTERTASK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTASKTIPTIME DATETIME,
FPROCESSHISTORY BIGINT DEFAULT 0 NOT NULL,
FDEALPERSON BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(36) DEFAULT ' ' NOT NULL,
FNODEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYTASK NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSTARTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TASKWARN_NOTICE') 
 CREATE TABLE T_PHM_TASKWARN_NOTICE (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TASKWARN_SUPER') 
 CREATE TABLE T_PHM_TASKWARN_SUPER (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TASKWARN_TASKPERSON') 
 CREATE TABLE T_PHM_TASKWARN_TASKPERSON (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_UNUSUALPROCESSPERSO') 
 CREATE TABLE T_PHM_UNUSUALPROCESSPERSO (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_WARINGUSER') 
 CREATE TABLE T_PHM_WARINGUSER (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_WARN_OVERDUEUSER') 
 CREATE TABLE T_PHM_WARN_OVERDUEUSER (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_WARN_SOVERDUEUSER') 
 CREATE TABLE T_PHM_WARN_SOVERDUEUSER (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_WARN_WARNINGUSER') 
 CREATE TABLE T_PHM_WARN_WARNINGUSER (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWDEFINE' AND KSQL_COL_NAME ='FPROGRESS') 
 ALTER TABLE T_PHM_FLOWDEFINE ADD (FPROGRESS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWDEFINE' AND KSQL_COL_NAME ='FACCOUNTABILITY') 
 ALTER TABLE T_PHM_FLOWDEFINE ADD (FACCOUNTABILITY NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWDEFINE' AND KSQL_COL_NAME ='FNODEVIEW') 
 ALTER TABLE T_PHM_FLOWDEFINE ADD (FNODEVIEW NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWDEFINE' AND KSQL_COL_NAME ='FMILEPOSTSTAGETYPE') 
 ALTER TABLE T_PHM_FLOWDEFINE ADD (FMILEPOSTSTAGETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWDEFINE' AND KSQL_COL_NAME ='FMILEPOSTID') 
 ALTER TABLE T_PHM_FLOWDEFINE ADD (FMILEPOSTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FDELIVERABLESNUMBER') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FDELIVERABLESNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FDELIVERABLESNAME') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FDELIVERABLESNAME NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FDELIVERABLES') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FDELIVERABLES BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FSCHEDULE') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FSCHEDULE NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FWARNINGCYCLES') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FWARNINGCYCLES DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FOVERDUECYCLES') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FOVERDUECYCLES DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FSERIOUSOVERDUECYCLES') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FSERIOUSOVERDUECYCLES DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FFRONTCONDITION') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FFRONTCONDITION NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FAFTERCONDITION') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FAFTERCONDITION NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FRECUSTOMERS') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FRECUSTOMERS NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWRESOURCE' AND KSQL_COL_NAME ='FREMAKE') 
 ALTER TABLE T_PHM_FLOWRESOURCE ADD (FREMAKE NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWNODE' AND KSQL_COL_NAME ='FPERSONLIABLEID') 
 ALTER TABLE T_PHM_FLOWNODE ADD (FPERSONLIABLEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWNODE' AND KSQL_COL_NAME ='FLIABLEORGID') 
 ALTER TABLE T_PHM_FLOWNODE ADD (FLIABLEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWNODE' AND KSQL_COL_NAME ='FSTAGES') 
 ALTER TABLE T_PHM_FLOWNODE ADD (FSTAGES NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWNODE' AND KSQL_COL_NAME ='FBEGINDATE') 
 ALTER TABLE T_PHM_FLOWNODE ADD (FBEGINDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_FLOWNODE' AND KSQL_COL_NAME ='FENDDATE') 
 ALTER TABLE T_PHM_FLOWNODE ADD (FENDDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FNUMBER') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FDELIVERABLES') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FDELIVERABLES BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FSCHEDULE') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FSCHEDULE NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FWARNINGCYCLE') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FWARNINGCYCLE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FOVERDUECYCLE') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FOVERDUECYCLE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FSERIOUSOVERDUECYCLE') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FSERIOUSOVERDUECYCLE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FFRONTCONDITION') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FFRONTCONDITION NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FAFTERCONDITION') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FAFTERCONDITION NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FRECUSTOMERS') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FRECUSTOMERS NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FREMAKE') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FREMAKE NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FDATASOURCE') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FDATASOURCE NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK' AND KSQL_COL_NAME ='FDATASOURCEID') 
 ALTER TABLE T_PHM_NODE_TASK ADD (FDATASOURCEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_RESOURCE' AND KSQL_COL_NAME ='FNUMBER') 
 ALTER TABLE T_PHM_NODE_RESOURCE ADD (FNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_PROCESS_NODE' AND KSQL_COL_NAME ='FLIABLEORGS') 
 ALTER TABLE T_PHM_PROCESS_NODE ADD (FLIABLEORGS BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_PROCESS_NODE' AND KSQL_COL_NAME ='FPERSONLIABLES') 
 ALTER TABLE T_PHM_PROCESS_NODE ADD (FPERSONLIABLES BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_PROCESS_NODE' AND KSQL_COL_NAME ='FPLANBEGINTIME') 
 ALTER TABLE T_PHM_PROCESS_NODE ADD (FPLANBEGINTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_PROCESS_NODE' AND KSQL_COL_NAME ='FPLANENDTIME') 
 ALTER TABLE T_PHM_PROCESS_NODE ADD (FPLANENDTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_PROCESS_NODE' AND KSQL_COL_NAME ='FSTAGE') 
 ALTER TABLE T_PHM_PROCESS_NODE ADD (FSTAGE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_PROCESS_NODE' AND KSQL_COL_NAME ='FABNORMALSTATUS') 
 ALTER TABLE T_PHM_PROCESS_NODE ADD (FABNORMALSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_PROCESS_HISTORY' AND KSQL_COL_NAME ='FMILEPOSTID') 
 ALTER TABLE T_PHM_PROCESS_HISTORY ADD (FMILEPOSTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_PROCESS_HISTORY' AND KSQL_COL_NAME ='FSTARTYPE') 
 ALTER TABLE T_PHM_PROCESS_HISTORY ADD (FSTARTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_EXCUTESUBFLOW') 
 CREATE TABLE T_PHM_EXCUTESUBFLOW (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFLOWNUMBER BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FLOWSUPERIOR') 
 CREATE TABLE T_PHM_FLOWSUPERIOR (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
