
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATACONTENT') 
 CREATE TABLE T_PHM_DATACONTENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFIELD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FIELDRELATION') 
 CREATE TABLE T_PHM_FIELDRELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCTABLE	    NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCFIELD	    NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCFIELDNAME	NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCFIELDTYPE	NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCPKFIELD	    CHAR(1) DEFAULT '0' NOT NULL,
FDESTFIELD	    NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESTFIELDNAME	NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESTFIELDTYPE	NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESTPKFIELD	CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_METADATA_L') 
 CREATE TABLE T_PHM_METADATA_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_METADATA') 
 CREATE TABLE T_PHM_METADATA (
FID				 BIGINT DEFAULT 0 NOT NULL,
FNUMBER			 NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS			 NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID		 BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID		 BIGINT DEFAULT 0 NOT NULL,
FENABLE			 NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME		 DATETIME,
FMODIFYTIME		 DATETIME,
FMASTERID		 BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID	 BIGINT DEFAULT 0 NOT NULL,
FORGID			 BIGINT DEFAULT 0 NOT NULL,
FUSEORG			 BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY	 NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTYPE			 NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPILINK		 BIGINT DEFAULT 0 NOT NULL,
FFULLNAME		 NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTARGETDATATABLE BIGINT DEFAULT 0 NOT NULL,
FREMARKS		 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATE			 NVARCHAR(30) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_SRCLINK') 
 CREATE TABLE T_PHM_SRCLINK (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLINK BIGINT DEFAULT 0 NOT NULL,
FSRCTABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCTABLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TABLECONTENT') 
 CREATE TABLE T_PHM_TABLECONTENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FGROUPSTANDARD BIGINT DEFAULT 0 NOT NULL,
FTABLEGROUP BIGINT DEFAULT 0 NOT NULL
);
