﻿/**Begin D:\PDM_UPGRADE\pdm1\PHM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PHM_WORKBENCH_PROP', 'T_PHM_WORKBENCH_PROP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_WORKBENCH_PROP') CREATE INDEX IDX_PHM_WORKBENCH_PROP ON T_PHM_WORKBENCH_PROP ( FISSHOW ,FPRIORITY );


 EXEC P_ALTERPK 'PK_T_PHM_WORKBENCH_PROP_L', 'T_PHM_WORKBENCH_PROP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_WORKBENCH_PROP_L_0') CREATE INDEX IDX_PHM_WORKBENCH_PROP_L_0 ON T_PHM_WORKBENCH_PROP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PHM_PROCESS_HISTORY', 'T_PHM_PROCESS_HISTORY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_PROCESS_HISTORY') CREATE INDEX IDX_PHM_PROCESS_HISTORY ON T_PHM_PROCESS_HISTORY ( FPROCESSID ,FNUMBER );


 EXEC P_ALTERPK 'PK_T_PHM_PROCESS_NODE', 'T_PHM_PROCESS_NODE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_PROCESS_NODE_FK') CREATE INDEX IDX_PHM_PROCESS_NODE_FK ON T_PHM_PROCESS_NODE ( FID ,FNODEID );


 EXEC P_ALTERPK 'PK_T_PHM_NODE_RESOURCE', 'T_PHM_NODE_RESOURCE', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_NODE_RESOURCE_FK') CREATE INDEX IDX_PHM_NODE_RESOURCE_FK ON T_PHM_NODE_RESOURCE ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_NODE_RESOURCE_ID') CREATE INDEX IDX_PHM_NODE_RESOURCE_ID ON T_PHM_NODE_RESOURCE ( FNODEID );


 EXEC P_ALTERPK 'PK_T_PHM_NODE_EVENT', 'T_PHM_NODE_EVENT', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_NODE_EVENT_FK') CREATE INDEX IDX_PHM_NODE_EVENT_FK ON T_PHM_NODE_EVENT ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_NODE_EVENT_ID') CREATE INDEX IDX_PHM_NODE_EVENT_ID ON T_PHM_NODE_EVENT ( FNODEID );


 EXEC P_ALTERPK 'PK_T_PHM_EVENT_ROLES', 'T_PHM_EVENT_ROLES', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_EVENT_ROLES_FK') CREATE INDEX IDX_PHM_EVENT_ROLES_FK ON T_PHM_EVENT_ROLES ( FDETAILID );


 EXEC P_ALTERPK 'PK_T_PHM_NODE_TASK', 'T_PHM_NODE_TASK', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_NODE_TASK_FK') CREATE INDEX IDX_PHM_NODE_TASK_FK ON T_PHM_NODE_TASK ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_NODE_TASK_ID') CREATE INDEX IDX_PHM_NODE_TASK_ID ON T_PHM_NODE_TASK ( FNODEID );


 EXEC P_ALTERPK 'PK_T_PHM_TASK_ROLES', 'T_PHM_TASK_ROLES', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_TASK_ROLES_FK') CREATE INDEX IDX_PHM_TASK_ROLES_FK ON T_PHM_TASK_ROLES ( FDETAILID );



/**End D:\PDM_UPGRADE\pdm1\PHM_constraint.sql **/
