/*--TABLE
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_PURCHASEGROUP') 
 CREATE TABLE T_BD_PURCHASEGROUP (
	FID NVARCHAR(60) DEFAULT ' ', 
	FNUMBER NVARCHAR(60) DEFAULT ' ', 
	FNAME NVARCHAR(60) DEFAULT ' ', 
	FPURCHASEORG NVARCHAR(60) DEFAULT ' ', 
	FDESCRIPTION NVARCHAR(60) DEFAULT ' ', 
	FCREATETIME DATETIME, 
	FAUDITDATE DATETIME, 
	FBIZDATE DATETIME,
	CONSTRAINT PK_BD_PURCHASEGROUP PRIMARY KEY CLUSTERED (FID)
);

 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_SUPPLIER') 
 CREATE TABLE T_BD_SUPPLIER (
	FARTIFICIALPERSON NVARCHAR(100) DEFAULT ' ', 
	FBARCODE NVARCHAR(100) DEFAULT ' ', 
	FBIZANALYSISCODEID NVARCHAR(100) DEFAULT ' ', 
	FBROWSEGROUPID NVARCHAR(100) DEFAULT ' ', 
	FBUSIEXEQUATUR NVARCHAR(100) DEFAULT ' ', 
	FBIZREGISTERNO NVARCHAR(100) DEFAULT ' ', 
	FBUSILICENCE NVARCHAR(100) DEFAULT ' ', 
	FCITYID NVARCHAR(100) DEFAULT ' ', 
	FCOUNTRYID NVARCHAR(100) DEFAULT ' ', 
	FFREEZEORGUNIT NVARCHAR(100) DEFAULT ' ', 
	FGSPAUTHENTICATION NVARCHAR(100) DEFAULT ' ', 
	FINDUSTRYID NVARCHAR(100) DEFAULT ' ', 
	FINTERNALCOMPANYID NVARCHAR(100) DEFAULT ' ', 
	FISINTERNALCOMPANY NVARCHAR(100) DEFAULT ' ', 
	FPARENTID NVARCHAR(100) DEFAULT ' ', 
	FPROVINCEID NVARCHAR(100) DEFAULT ' ', 
	FREGIONID NVARCHAR(100) DEFAULT ' ', 
	FTAXDATAID NVARCHAR(100) DEFAULT ' ', 
	FTAXREGISTERNO NVARCHAR(100) DEFAULT ' ', 
	FUSEDSTATUS NVARCHAR(100) DEFAULT ' ', 
	FVERSION BIGINT DEFAULT 0, 
	FEFFECTEDSTATUS NVARCHAR(100) DEFAULT ' ', 
	FSUPPLIERGROUPID NVARCHAR(100) DEFAULT ' ', 
	FMNEMONICCODE NVARCHAR(100) DEFAULT ' ', 
	FFOREIGNNAME NVARCHAR(100) DEFAULT ' ', 
	FADDRESS NVARCHAR(100) DEFAULT ' ', 
	FTAXRATE BIGINT DEFAULT 0, 
	FISMULTICOPY NVARCHAR(100) DEFAULT ' ', 
	FISCARRIER NVARCHAR(100) DEFAULT ' ', 
	FISOUTER NVARCHAR(100) DEFAULT ' ', 
	FOLDNUMBER NVARCHAR(100) DEFAULT ' ', 
	FADMINCUID NVARCHAR(100) DEFAULT ' ', 
	FNAME NVARCHAR(255) DEFAULT ' ', 
	FNUMBER NVARCHAR(100) DEFAULT ' ', 
	FDESCRIPTION NVARCHAR(255) DEFAULT ' ', 
	FSIMPLENAME NVARCHAR(100) DEFAULT ' ', 
	FCREATORID NVARCHAR(100) DEFAULT ' ', 
	FCREATETIME DATETIME, 
	FLASTUPDATEUSERID NVARCHAR(100) DEFAULT ' ', 
	FLASTUPDATETIME DATETIME, 
	FCONTROLUNITID NVARCHAR(100) DEFAULT ' ', 
	FID NVARCHAR(100) DEFAULT ' ',
	CONSTRAINT PK_BD_SUPPLIER PRIMARY KEY CLUSTERED (FID)
);


 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SM_PURCONTRACT') 
 CREATE TABLE T_SM_PURCONTRACT (
	FSUPPLIERID NVARCHAR(100) DEFAULT ' ', 
	FPURORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FPURGROUPID NVARCHAR(100) DEFAULT ' ', 
	FDELIVERYTYPEID NVARCHAR(100) DEFAULT ' ', 
	FPAYMENTTYPEID NVARCHAR(100) DEFAULT ' ', 
	FCASHDISCOUNTID NVARCHAR(100) DEFAULT ' ', 
	FSETTLEMENTTYPEID NVARCHAR(100) DEFAULT ' ', 
	FENTRYID NVARCHAR(100) DEFAULT ' ', 
	FPURCONTRACTTERM NVARCHAR(100) DEFAULT ' ', 
	FCONTRACTTYPEID NVARCHAR(100) DEFAULT ' ', 
	FPURPERSONID NVARCHAR(100) DEFAULT ' ', 
	FSIGNEDADDRESS NVARCHAR(100) DEFAULT ' ', 
	FEFFECTEDDATE DATETIME, 
	FDELIVERYADDRESS NVARCHAR(100) DEFAULT ' ', 
	FPREPAYRATE BIGINT DEFAULT 0, 
	FPREPAYAMOUNT BIGINT DEFAULT 0, 
	FPURADVANCEDAYS BIGINT DEFAULT 0, 
	FISINNERPURCHASE NVARCHAR(100) DEFAULT ' ', 
	FVERSION BIGINT DEFAULT 0, 
	FALTERDATE DATETIME, 
	FALTERPERSON NVARCHAR(100) DEFAULT ' ', 
	FOLDID NVARCHAR(100) DEFAULT ' ', 
	FOLDSTATUS NVARCHAR(100) DEFAULT ' ', 
	FPURCONTRACTPAYPLAN NVARCHAR(100) DEFAULT ' ', 
	FPAYMENTCONDITIONID NVARCHAR(100) DEFAULT ' ', 
	FISSYSBILL NVARCHAR(100) DEFAULT ' ', 
	FISINTAX NVARCHAR(100) DEFAULT ' ', 
	FEXCHANGERATE BIGINT DEFAULT 0, 
	FCONVERTMODE NVARCHAR(100) DEFAULT ' ', 
	FTOTALAMOUNT BIGINT DEFAULT 0, 
	FLOCALTOTALAMOUNT BIGINT DEFAULT 0, 
	FTOTALTAX BIGINT DEFAULT 0, 
	FLOCALTOTALTAX BIGINT DEFAULT 0, 
	FLOCALTOTALTAXAMOUNT BIGINT DEFAULT 0, 
	FTOTALTAXAMOUNT BIGINT DEFAULT 0, 
	FCURRENCYID NVARCHAR(100) DEFAULT ' ', 
	FADMINORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FCOMPANYORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FBASESTATUS NVARCHAR(100) DEFAULT ' ', 
	FBIZTYPEID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLTYPEID NVARCHAR(100) DEFAULT ' ', 
	FBILLTYPEID NVARCHAR(100) DEFAULT ' ', 
	FYEAR BIGINT DEFAULT 0, 
	FPERIOD BIGINT DEFAULT 0, 
	FNUMBER NVARCHAR(100) DEFAULT ' ', 
	FBIZDATE DATETIME, 
	FHASEFFECTED NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEFUNCTION NVARCHAR(100) DEFAULT ' ', 
	FCONTROLUNITID NVARCHAR(100) DEFAULT ' ', 
	FID NVARCHAR(100) DEFAULT ' ', 
	FCREATETIME DATETIME, 
	FAUDITTIME DATETIME, 
	FPAYAMOUNT BIGINT DEFAULT 0,
	CONSTRAINT PK_SM_PURCONTRACT PRIMARY KEY CLUSTERED (FID)
);

 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SM_PURCONTRACTENTRY') 
 CREATE TABLE T_SM_PURCONTRACTENTRY (
	FMATERIALGROUPID NVARCHAR(100) DEFAULT ' ', 
	FSTORAGEORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FADMINORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FRECEIVETYPE NVARCHAR(100) DEFAULT ' ', 
	FWAREHOUSEID NVARCHAR(100) DEFAULT ' ', 
	FPARENTID NVARCHAR(100) DEFAULT ' ', 
	FCHECKITEMID NVARCHAR(100) DEFAULT ' ', 
	FCONSIGNDATE DATETIME, 
	FDELIVERYDATE DATETIME, 
	FRECEIVEOVERRATE BIGINT DEFAULT 0, 
	FRECEIVEOWINGRATE BIGINT DEFAULT 0, 
	FRECEIVEADVANCEDAYS BIGINT DEFAULT 0, 
	FRECEIVEDEFERRALDAYS BIGINT DEFAULT 0, 
	FQUALITYUNCTRL NVARCHAR(100) DEFAULT ' ', 
	FTIMEUNCTRL NVARCHAR(100) DEFAULT ' ', 
	FAMOUNTUNCTRL NVARCHAR(100) DEFAULT ' ', 
	FTOTALORDERAMOUNT BIGINT DEFAULT 0, 
	FTOTALREQPAYAMT BIGINT DEFAULT 0, 
	FTOTALPAIDAMOUNT BIGINT DEFAULT 0, 
	FTOTALORDERQTY BIGINT DEFAULT 0, 
	FREASON NVARCHAR(100) DEFAULT ' ', 
	FVERSION BIGINT DEFAULT 0, 
	FOLDID NVARCHAR(100) DEFAULT ' ', 
	FOLDSTATUS NVARCHAR(100) DEFAULT ' ', 
	FQISTANDARDID NVARCHAR(100) DEFAULT ' ', 
	FSETTLEMENTCLAUSE NVARCHAR(100) DEFAULT ' ', 
	FROWTYPEID NVARCHAR(100) DEFAULT ' ', 
	FMATERIALNAME NVARCHAR(100) DEFAULT ' ', 
	FNONUMMATERIALMODEL NVARCHAR(100) DEFAULT ' ', 
	FCHECKITEMIDNR NVARCHAR(100) DEFAULT ' ', 
	FSETTLEMENTCLAUSENR NVARCHAR(100) DEFAULT ' ', 
	FQUALITYORGID NVARCHAR(100) DEFAULT ' ', 
	FPROTECTPRICE BIGINT DEFAULT 0, 
	FQCSTANDARDID NVARCHAR(100) DEFAULT ' ', 
	FPROJECTID NVARCHAR(100) DEFAULT ' ', 
	FTRACKNUMBERID NVARCHAR(100) DEFAULT ' ', 
	FNUMBER NVARCHAR(100) DEFAULT ' ', 
	FISPRESENT NVARCHAR(100) DEFAULT ' ', 
	FQTY BIGINT DEFAULT 0, 
	FBASEQTY BIGINT DEFAULT 0, 
	FASSISTQTY BIGINT DEFAULT 0, 
	FPRICE BIGINT DEFAULT 0, 
	FAMOUNT BIGINT DEFAULT 0, 
	FLOCALAMOUNT BIGINT DEFAULT 0, 
	FTAXRATE BIGINT DEFAULT 0, 
	FTAXPRICE BIGINT DEFAULT 0, 
	FTAX BIGINT DEFAULT 0, 
	FLOCALTAX BIGINT DEFAULT 0, 
	FTAXAMOUNT BIGINT DEFAULT 0, 
	FLOCALTAXAMOUNT BIGINT DEFAULT 0, 
	FDISCOUNTCONDITION NVARCHAR(100) DEFAULT ' ', 
	FDISCOUNTTYPE NVARCHAR(100) DEFAULT ' ', 
	FDISCOUNT BIGINT DEFAULT 0, 
	FACTUALPRICE BIGINT DEFAULT 0, 
	FACTUALTAXPRICE BIGINT DEFAULT 0, 
	FDISCOUNTAMOUNT BIGINT DEFAULT 0, 
	FCLOSEDATE DATETIME, 
	FMATERIALID NVARCHAR(100) DEFAULT ' ', 
	FUNITID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLNUMBER NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLENTRYID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLENTRYSEQ BIGINT DEFAULT 0, 
	FASSCOEFFICIENT BIGINT DEFAULT 0, 
	FBASESTATUS NVARCHAR(100) DEFAULT ' ', 
	FASSOCIATEQTY BIGINT DEFAULT 0, 
	FSOURCEBILLTYPEID NVARCHAR(100) DEFAULT ' ', 
	FBASEUNITID NVARCHAR(100) DEFAULT ' ', 
	FASSISTUNITID NVARCHAR(100) DEFAULT ' ', 
	FSEQ BIGINT DEFAULT 0, 
	FID NVARCHAR(100) DEFAULT ' ',
	CONSTRAINT PK_SM_PURCONTRACTENTRY PRIMARY KEY CLUSTERED (FID)
);

 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SM_PURORDER') 
 CREATE TABLE T_SM_PURORDER (
	FPURCHASEORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FPURCHASEGROUPID NVARCHAR(100) DEFAULT ' ', 
	FPURCHASEPERSONID NVARCHAR(100) DEFAULT ' ', 
	FSUPPLIERID NVARCHAR(100) DEFAULT ' ', 
	FSUPPLIERADDRESS NVARCHAR(100) DEFAULT ' ', 
	FSUPPLIERORDERNUMBER NVARCHAR(100) DEFAULT ' ', 
	FSALEORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FSALEORDERID NVARCHAR(100) DEFAULT ' ', 
	FISDIRECTSEND NVARCHAR(100) DEFAULT ' ', 
	FPAYMENTTYPEID NVARCHAR(100) DEFAULT ' ', 
	FSETTLEMENTTYPEID NVARCHAR(100) DEFAULT ' ', 
	FCASHDISCOUNTID NVARCHAR(100) DEFAULT ' ', 
	FCURRENCYID NVARCHAR(100) DEFAULT ' ', 
	FEXCHANGERATE BIGINT DEFAULT 0, 
	FPREPAYMENTRATE BIGINT DEFAULT 0, 
	FPREPAYMENT BIGINT DEFAULT 0, 
	FPREPAID BIGINT DEFAULT 0, 
	FPREPAYMENTDATE DATETIME, 
	FSUPPLIERCONFIRM NVARCHAR(100) DEFAULT ' ', 
	FINVOICEDAMOUNT BIGINT DEFAULT 0, 
	FPAIDAMOUNT BIGINT DEFAULT 0, 
	FISINNERSALE NVARCHAR(100) DEFAULT ' ', 
	FADMINORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FTOTALAMOUNT BIGINT DEFAULT 0, 
	FTOTALTAX BIGINT DEFAULT 0, 
	FTOTALTAXAMOUNT BIGINT DEFAULT 0, 
	FPURORDERENTRY NVARCHAR(100) DEFAULT ' ', 
	FUNPREPAIDAMOUNT BIGINT DEFAULT 0, 
	FISSYSBILL NVARCHAR(100) DEFAULT ' ', 
	FCONVERTMODE NVARCHAR(100) DEFAULT ' ', 
	FLOCALTOTALAMOUNT BIGINT DEFAULT 0, 
	FLOCALTOTALTAXAMOUNT BIGINT DEFAULT 0, 
	FISCENTRALBALANCE NVARCHAR(100) DEFAULT ' ', 
	FSTORAGEORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FCOMPANYORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FISINTAX NVARCHAR(100) DEFAULT ' ', 
	FISQUICKEN NVARCHAR(100) DEFAULT ' ', 
	FALTERPERSON NVARCHAR(100) DEFAULT ' ', 
	FVERSION BIGINT DEFAULT 0, 
	FOLDID NVARCHAR(100) DEFAULT ' ', 
	FOLDSTATUS NVARCHAR(100) DEFAULT ' ', 
	FALTERDATE DATETIME, 
	FISPRICEINTAX NVARCHAR(100) DEFAULT ' ', 
	FPAYMENTCONDITIONID NVARCHAR(100) DEFAULT ' ', 
	FWAREHOUSEID NVARCHAR(100) DEFAULT ' ', 
	FISAPPROVEDMATERIAL NVARCHAR(100) DEFAULT ' ', 
	FISMATCHED NVARCHAR(100) DEFAULT ' ', 
	FBASESTATUS NVARCHAR(100) DEFAULT ' ', 
	FBIZTYPEID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLTYPEID NVARCHAR(100) DEFAULT ' ', 
	FBILLTYPEID NVARCHAR(100) DEFAULT ' ', 
	FYEAR BIGINT DEFAULT 0, 
	FPERIOD BIGINT DEFAULT 0, 
	FNUMBER NVARCHAR(100) DEFAULT ' ', 
	FBIZDATE DATETIME, 
	FHASEFFECTED NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEFUNCTION NVARCHAR(100) DEFAULT ' ', 
	FCONTROLUNITID NVARCHAR(100) DEFAULT ' ', 
	FID NVARCHAR(100) DEFAULT ' ', 
	FCREATETIME DATETIME, 
	FAUDITTIME DATETIME,
	CONSTRAINT PK_SM_PURORDER PRIMARY KEY CLUSTERED (FID)
);

 
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SM_PURORDERENTRY') 
 CREATE TABLE T_SM_PURORDERENTRY (
	FISPRESENT NVARCHAR(100) DEFAULT ' ', 
	FSUPPLIERMATERIALNUMBER NVARCHAR(100) DEFAULT ' ', 
	FSUPPLIERMATERIALNAME NVARCHAR(100) DEFAULT ' ', 
	FSUPPLIERMATERIALMODEL NVARCHAR(100) DEFAULT ' ', 
	FASSETNUMBER NVARCHAR(100) DEFAULT ' ', 
	FDEMANDQTY BIGINT DEFAULT 0, 
	FQTY BIGINT DEFAULT 0, 
	FSTORAGEORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FADMINORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FCOMPANYORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FASSISTQTY BIGINT DEFAULT 0, 
	FPRICE BIGINT DEFAULT 0, 
	FDISCOUNTRATE BIGINT DEFAULT 0, 
	FACTUALPRICE BIGINT DEFAULT 0, 
	FTAXRATE BIGINT DEFAULT 0, 
	FTAXPRICE BIGINT DEFAULT 0, 
	FACTUALTAXPRICE BIGINT DEFAULT 0, 
	FAMOUNT BIGINT DEFAULT 0, 
	FLOCALAMOUNT BIGINT DEFAULT 0, 
	FTAX BIGINT DEFAULT 0, 
	FTAXAMOUNT BIGINT DEFAULT 0, 
	FDISCOUNTAMOUNT BIGINT DEFAULT 0, 
	FDELIVERYDATE DATETIME, 
	FRECEIVEOVERRATE BIGINT DEFAULT 0, 
	FRECEIVEOWINGRATE BIGINT DEFAULT 0, 
	FDELIVERADVANCEDAY BIGINT DEFAULT 0, 
	FDELIVERDEFERRALDAY BIGINT DEFAULT 0, 
	FTRACKNUMBER NVARCHAR(100) DEFAULT ' ', 
	FBASEQTY BIGINT DEFAULT 0, 
	FTOTALRECEIVEQTY BIGINT DEFAULT 0, 
	FTOTALRECEIPTQTY BIGINT DEFAULT 0, 
	FTOTALRETURNEDQTY BIGINT DEFAULT 0, 
	FTOTALINVOICEDQTY BIGINT DEFAULT 0, 
	FTOTALINVOICEDAMOUNT BIGINT DEFAULT 0, 
	FTOTALREQPAYAMT BIGINT DEFAULT 0, 
	FTOTALPAIDAMOUNT BIGINT DEFAULT 0, 
	FTOTALEXPENSE BIGINT DEFAULT 0, 
	FPARENTID NVARCHAR(100) DEFAULT ' ', 
	FCOSTENTRY NVARCHAR(100) DEFAULT ' ', 
	FISQUANTITYUNCTRL NVARCHAR(100) DEFAULT ' ', 
	FISTIMEUNCTRL NVARCHAR(100) DEFAULT ' ', 
	FTOTALRECEIVEBASEQTY BIGINT DEFAULT 0, 
	FTOTALRECEIPTBASEQTY BIGINT DEFAULT 0, 
	FTOTALRETURNEDBASEQTY BIGINT DEFAULT 0, 
	FTOTALINVOICEDBASEQTY BIGINT DEFAULT 0, 
	FTOTALUNRETURNBASEQTY BIGINT DEFAULT 0, 
	FTOTALUNRECEIVEBASEQTY BIGINT DEFAULT 0, 
	FTOTALUNRECEIVEQTY BIGINT DEFAULT 0, 
	FDELIVERYADDRESS NVARCHAR(100) DEFAULT ' ', 
	FCLOSEDATE DATETIME, 
	FISSUPINFO NVARCHAR(100) DEFAULT ' ', 
	FCURSEORDERQTY BIGINT DEFAULT 0, 
	FLOCALTAX BIGINT DEFAULT 0, 
	FLOCALTAXAMOUNT BIGINT DEFAULT 0, 
	FSALEORDERNUMBER NVARCHAR(100) DEFAULT ' ', 
	FPREPAIDAMOUNT BIGINT DEFAULT 0, 
	FREQUESTORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FREQUESTCOMPANYORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FREASON NVARCHAR(100) DEFAULT ' ', 
	FISREQUESTTORECEIVED NVARCHAR(100) DEFAULT ' ', 
	FTOTALMOVEQTY BIGINT DEFAULT 0, 
	FTOTALINVOICEDAMT BIGINT DEFAULT 0, 
	FTOTALPREPAYAMT BIGINT DEFAULT 0, 
	FPREPAYMENT BIGINT DEFAULT 0, 
	FPRERECEIVED BIGINT DEFAULT 0, 
	FUNPRERECEIVEDAM BIGINT DEFAULT 0, 
	FVERSION BIGINT DEFAULT 0, 
	FOLDID NVARCHAR(100) DEFAULT ' ', 
	FOLDSTATUS NVARCHAR(100) DEFAULT ' ', 
	FCANINVMOVEQTY BIGINT DEFAULT 0, 
	FUNORDEREDQTY BIGINT DEFAULT 0, 
	FISBETWEENCOMPANYREC NVARCHAR(100) DEFAULT ' ', 
	FROWTYPEID NVARCHAR(100) DEFAULT ' ', 
	FDESTINATIONTYPE NVARCHAR(100) DEFAULT ' ', 
	FWAREHOUSEID NVARCHAR(100) DEFAULT ' ', 
	FMATERIALNAME NVARCHAR(100) DEFAULT ' ', 
	FISREQCOMEQLRECCOM NVARCHAR(100) DEFAULT ' ', 
	FPLANRECEIVEQTY BIGINT DEFAULT 0, 
	FTOTALCANCELLEDSTOCKQTY BIGINT DEFAULT 0, 
	FTOTALSUPPLYSTOCKQTY BIGINT DEFAULT 0, 
	FTOTALSUPPLYSTOCKBASEQTY BIGINT DEFAULT 0, 
	FISREQPREPAYGTPREPAY BIGINT DEFAULT 0, 
	FNONUMMATERIALMODEL NVARCHAR(100) DEFAULT ' ', 
	FQCSTANDARDID NVARCHAR(100) DEFAULT ' ', 
	FPROJECTID NVARCHAR(100) DEFAULT ' ', 
	FTRACKNOID NVARCHAR(100) DEFAULT ' ', 
	FPURCONTRACTID NVARCHAR(100) DEFAULT ' ', 
	FMATCHEDAMOUNT BIGINT DEFAULT 0, 
	FPURCHASEORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FBIZDATE DATETIME, 
	FTOTALORDERQTY BIGINT DEFAULT 0, 
	FMATERIALID NVARCHAR(100) DEFAULT ' ', 
	FUNITID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLNUMBER NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLENTRYID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLENTRYSEQ BIGINT DEFAULT 0, 
	FASSCOEFFICIENT BIGINT DEFAULT 0, 
	FBASESTATUS NVARCHAR(100) DEFAULT ' ', 
	FASSOCIATEQTY BIGINT DEFAULT 0, 
	FSOURCEBILLTYPEID NVARCHAR(100) DEFAULT ' ', 
	FBASEUNITID NVARCHAR(100) DEFAULT ' ', 
	FASSISTUNITID NVARCHAR(100) DEFAULT ' ', 
	FSEQ BIGINT DEFAULT 0, 
	FID NVARCHAR(100) DEFAULT ' ',
	CONSTRAINT PK_SM_PURORDERENTRY PRIMARY KEY CLUSTERED (FID)
);

 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SM_PURREQUEST') 
 CREATE TABLE T_SM_PURREQUEST (
	FID NVARCHAR(50) DEFAULT ' ', 
	FNUMBER NVARCHAR(50) DEFAULT ' ', 
	FBASESTATUS NVARCHAR(50) DEFAULT ' ', 
	FBIZTYPEID NVARCHAR(50) DEFAULT ' ', 
	FTOTALAMOUNT BIGINT DEFAULT 0, 
	FBILLTYPEID NVARCHAR(50) DEFAULT ' ', 
	FYEAR NVARCHAR(50) DEFAULT ' ', 
	FPERIOD NVARCHAR(50) DEFAULT ' ', 
	FBIZDATE DATETIME, 
	FCREATORID NVARCHAR(50) DEFAULT ' ', 
	FCREATETIME DATETIME, 
	FPURREQUESTENTRY NVARCHAR(100) DEFAULT ' ', 
	FCOMPANYORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FLOCALTOTALAMOUNT BIGINT DEFAULT 0, 
	FPERSONID NVARCHAR(100) DEFAULT ' ', 
	FISURGENT NVARCHAR(100) DEFAULT ' ', 
	FISMERGEBILL NVARCHAR(100) DEFAULT ' ', 
	FPURCHASETYPE NVARCHAR(100) DEFAULT ' ', 
	FISAPPROVEDSUPPLIER NVARCHAR(100) DEFAULT ' ', 
	FADMINORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLTYPEID NVARCHAR(100) DEFAULT ' ', 
	FHASEFFECTED NVARCHAR(100) DEFAULT ' ', 
	FSOURCEBILLID NVARCHAR(100) DEFAULT ' ', 
	FSOURCEFUNCTION NVARCHAR(100) DEFAULT ' ', 
	FCONTROLUNITID NVARCHAR(100) DEFAULT ' ', 
	FAUDITTIME DATETIME, 
	FPURCHASEGROUPID NVARCHAR(100) DEFAULT ' ',
	CONSTRAINT PK_SM_PURREQUEST PRIMARY KEY CLUSTERED (FID)
);


 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ST_PURPRICEBILL') 
 CREATE TABLE T_ST_PURPRICEBILL (
	FPURPRICEBILLENTRY NVARCHAR(100) DEFAULT ' ', 
	FUPFROMDATE DATETIME, 
	FUPTODATE DATETIME, 
	FSALEORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FPURORGUNITID NVARCHAR(100) DEFAULT ' ', 
	FCUSTOMERID NVARCHAR(100) DEFAULT ' ', 
	FSUPPLIERID NVARCHAR(100) DEFAULT ' ', 
	FPABILLTYPE NVARCHAR(100) DEFAULT ' ', 
	FPABILLSTATUS NVARCHAR(100) DEFAULT ' ', 
	FBILLDATEFROM DATETIME, 
	FBILLDATETO DATETIME, 
	FMATERIALFROM NVARCHAR(100) DEFAULT ' ', 
	FMATERIALTO NVARCHAR(100) DEFAULT ' ', 
	FRELATIONBILLNUMBER NVARCHAR(100) DEFAULT ' ', 
	FBILLSTATUS NVARCHAR(100) DEFAULT ' ', 
	FBILLTYPEID NVARCHAR(100) DEFAULT ' ', 
	FNUMBER NVARCHAR(100) DEFAULT ' ', 
	FBIZDATE DATETIME, 
	FID NVARCHAR(100) DEFAULT ' ', 
	FCREATETIME DATETIME, 
	FAUDITTIME DATETIME,
	CONSTRAINT PK_ST_PURPRICEBILL PRIMARY KEY CLUSTERED (FID)
);
 

-- data
DELETE FROM t_bd_purchasegroup WHERE FID = 'grp001';
INSERT INTO t_bd_purchasegroup(FID,FAUDITDATE,FCREATETIME,FPURCHASEORG,FBIZDATE,FDESCRIPTION,FNUMBER,FNAME) VALUES ('grp001',{ts'2020-08-09  00:00:00'},{ts'2020-08-09  00:00:00'},' ',{ts'2020-08-09  00:00:00'},' ',' ','采购组1'); 
DELETE FROM t_bd_purchasegroup WHERE FID = 'grp002';
INSERT INTO t_bd_purchasegroup(FID,FAUDITDATE,FCREATETIME,FPURCHASEORG,FBIZDATE,FDESCRIPTION,FNUMBER,FNAME) VALUES ('grp002',{ts'2020-08-10  00:00:00'},{ts'2020-08-10  00:00:00'},' ',{ts'2020-08-10  00:00:00'},' ',' ','采购组2'); 
DELETE FROM t_bd_purchasegroup WHERE FID = 'grp003';
INSERT INTO t_bd_purchasegroup(FID,FAUDITDATE,FCREATETIME,FPURCHASEORG,FBIZDATE,FDESCRIPTION,FNUMBER,FNAME) VALUES ('grp003',{ts'2020-08-11  00:00:00'},{ts'2020-08-11  00:00:00'},' ',{ts'2020-08-11  00:00:00'},' ',' ','采购组3'); 
DELETE FROM t_bd_purchasegroup WHERE FID = 'grp004';
INSERT INTO t_bd_purchasegroup(FID,FAUDITDATE,FCREATETIME,FPURCHASEORG,FBIZDATE,FDESCRIPTION,FNUMBER,FNAME) VALUES ('grp004',{ts'2020-08-12  00:00:00'},{ts'2020-08-12  00:00:00'},' ',{ts'2020-08-12  00:00:00'},' ',' ','采购组4'); 
DELETE FROM t_bd_purchasegroup WHERE FID = 'grp005';
INSERT INTO t_bd_purchasegroup(FID,FAUDITDATE,FCREATETIME,FPURCHASEORG,FBIZDATE,FDESCRIPTION,FNUMBER,FNAME) VALUES ('grp005',{ts'2020-08-13  00:00:00'},{ts'2020-08-13  00:00:00'},' ',{ts'2020-08-13  00:00:00'},' ',' ','采购组5'); 

DELETE FROM t_sm_purcontract WHERE FID = 'pc001';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-08-09  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-08-09  00:00:00'},0,0,'spy001',' ',' ',15.0000000000,NULL,' ',0,23.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc001',0,' ',' ',' ',0,'grp001',' ',0,' ','pcbill001',' ',' ',' ',0,' ',0); 
DELETE FROM t_sm_purcontract WHERE FID = 'pc002';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-08-10  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-08-10  00:00:00'},0,0,'spy001',' ',' ',17.0000000000,NULL,' ',0,25.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc002',0,' ',' ',' ',0,'grp001',' ',0,' ','pcbill002',' ',' ',' ',0,' ',0); 
DELETE FROM t_sm_purcontract WHERE FID = 'pc003';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-09-11  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-09-11  00:00:00'},0,0,'spy002',' ',' ',19.0000000000,NULL,' ',0,27.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc003',0,' ',' ',' ',0,'grp003',' ',0,' ','pcbill003',' ',' ',' ',0,' ',0); 
DELETE FROM t_sm_purcontract WHERE FID = 'pc004';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-09-12  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-09-12  00:00:00'},0,0,'spy002',' ',' ',21.0000000000,NULL,' ',0,29.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc004',0,' ',' ',' ',0,'grp003',' ',0,' ','pcbill004',' ',' ',' ',0,' ',0); 
DELETE FROM t_sm_purcontract WHERE FID = 'pc005';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-09-13  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-09-13  00:00:00'},0,0,'spy003',' ',' ',23.0000000000,NULL,' ',0,31.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc005',0,' ',' ',' ',0,'grp002',' ',0,' ','pcbill005',' ',' ',' ',0,' ',0); 
DELETE FROM t_sm_purcontract WHERE FID = 'pc006';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-10-13  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-10-13  00:00:00'},0,0,'spy003',' ',' ',25.0000000000,NULL,' ',0,33.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc006',0,' ',' ',' ',0,'grp002',' ',0,' ','pcbill006',' ',' ',' ',0,' ',0); 
DELETE FROM t_sm_purcontract WHERE FID = 'pc007';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-10-15  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-10-15  00:00:00'},0,0,'spy004',' ',' ',27.0000000000,NULL,' ',0,35.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc007',0,' ',' ',' ',0,'grp004',' ',0,' ','pcbill007',' ',' ',' ',0,' ',0); 
DELETE FROM t_sm_purcontract WHERE FID = 'pc008';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-11-02  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-11-02  00:00:00'},0,0,'spy004',' ',' ',29.0000000000,NULL,' ',0,37.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc008',0,' ',' ',' ',0,'grp004',' ',0,' ','pcbill008',' ',' ',' ',0,' ',0); 
DELETE FROM t_sm_purcontract WHERE FID = 'pc009';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-11-02  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-11-02  00:00:00'},0,0,'spy005',' ',' ',31.0000000000,NULL,' ',0,39.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc009',0,' ',' ',' ',0,'grp005',' ',0,' ','pcbill009',' ',' ',' ',0,' ',0); 
DELETE FROM t_sm_purcontract WHERE FID = 'pc010';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-11-03  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-11-03  00:00:00'},0,0,'spy005',' ',' ',33.0000000000,NULL,' ',0,41.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc010',0,' ',' ',' ',0,'grp005',' ',0,' ','pcbill010',' ',' ',' ',0,' ',0); 
DELETE FROM t_sm_purcontract WHERE FID = 'pc011';
INSERT INTO t_sm_purcontract(FLOCALTOTALTAX,FYEAR,FBASESTATUS,FPURORGUNITID,FSOURCEBILLTYPEID,FALTERPERSON,FBIZDATE,FSIGNEDADDRESS,FISINNERPURCHASE,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FPAYAMOUNT,FALTERDATE,FOLDSTATUS,FPURADVANCEDAYS,FTOTALTAXAMOUNT,FOLDID,FCURRENCYID,FAUDITTIME,FEFFECTEDDATE,FBIZTYPEID,FPURCONTRACTTERM,FCONTRACTTYPEID,FPREPAYAMOUNT,FPREPAYRATE,FISINTAX,FCONTROLUNITID,FDELIVERYTYPEID,FHASEFFECTED,FID,FVERSION,FPURCONTRACTPAYPLAN,FCONVERTMODE,FENTRYID,FLOCALTOTALTAXAMOUNT,FPURGROUPID,FDELIVERYADDRESS,FPERIOD,FADMINORGUNITID,FNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FBILLTYPEID,FTOTALAMOUNT,FPURPERSONID,FEXCHANGERATE) VALUES (0,0,'4.0',' ',' ',' ',{ts'2020-10-16  00:00:00'},' ',' ',' ',' ',' ',' ',{ts'2020-10-16  00:00:00'},0,0,'spy005',' ',' ',35.0000000000,NULL,' ',0,43.0000000000,' ',' ',NULL,NULL,' ',' ',' ',0,0,' ',' ',' ',' ','pc011',0,' ',' ',' ',0,'grp005',' ',0,' ','pcbill011',' ',' ',' ',0,' ',0); 


DELETE FROM t_sm_purcontractentry WHERE FID = 'NULL';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe009',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'NULL',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 
DELETE FROM t_sm_purcontractentry WHERE FID = 'pce001';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe001',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'pce001',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 
DELETE FROM t_sm_purcontractentry WHERE FID = 'pce002';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe002',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'pce002',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 
DELETE FROM t_sm_purcontractentry WHERE FID = 'pce003';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe003',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'pce003',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 
DELETE FROM t_sm_purcontractentry WHERE FID = 'pce004';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe004',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'pce004',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 
DELETE FROM t_sm_purcontractentry WHERE FID = 'pce005';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe005',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'pce005',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 
DELETE FROM t_sm_purcontractentry WHERE FID = 'pce006';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe006',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'pce006',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 
DELETE FROM t_sm_purcontractentry WHERE FID = 'pce007';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe007',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'pce007',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 
DELETE FROM t_sm_purcontractentry WHERE FID = 'pce008';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe008',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'pce008',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 
DELETE FROM t_sm_purcontractentry WHERE FID = 'pce010';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe010',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'pce010',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 
DELETE FROM t_sm_purcontractentry WHERE FID = 'pce011';
INSERT INTO t_sm_purcontractentry(FBASESTATUS,FTAXPRICE,FDISCOUNTTYPE,FLOCALAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FWAREHOUSEID,FTOTALPAIDAMOUNT,FLOCALTAX,FSOURCEBILLENTRYID,FDISCOUNTAMOUNT,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FBASEUNITID,FPROJECTID,FSEQ,FAMOUNTUNCTRL,FMATERIALNAME,FACTUALPRICE,FASSCOEFFICIENT,FSTORAGEORGUNITID,FPRICE,FDISCOUNT,FTAX,FOLDSTATUS,FQUALITYORGID,FOLDID,FPROTECTPRICE,FQTY,FTIMEUNCTRL,FCHECKITEMIDNR,FTAXAMOUNT,FRECEIVEDEFERRALDAYS,FRECEIVEOVERRATE,FQUALITYUNCTRL,FREASON,FISPRESENT,FSETTLEMENTCLAUSE,FMATERIALID,FSOURCEBILLENTRYSEQ,FLOCALTAXAMOUNT,FQCSTANDARDID,FTOTALREQPAYAMT,FNONUMMATERIALMODEL,FTRACKNUMBERID,FASSOCIATEQTY,FAMOUNT,FID,FVERSION,FASSISTUNITID,FASSISTQTY,FRECEIVETYPE,FTAXRATE,FTOTALORDERQTY,FCONSIGNDATE,FDISCOUNTCONDITION,FMATERIALGROUPID,FCHECKITEMID,FPARENTID,FQISTANDARDID,FADMINORGUNITID,FRECEIVEADVANCEDAYS,FNUMBER,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FTOTALORDERAMOUNT,FRECEIVEOWINGRATE,FSETTLEMENTCLAUSENR) VALUES (' ',0,' ',0,' ',0,' ',' ',0,0,'poe011',0,' ',0,' ',' ',' ',0,' ',' ',0,0,' ',0,0,0,' ',' ',' ',0,0,' ',' ',0,0,0,' ',' ',' ',' ',' ',0,0,' ',0,' ',' ',0,0,'pce011',0,' ',0,' ',0,0,NULL,' ',' ',' ',' ',' ',' ',0,' ',NULL,' ',NULL,0,0,' '); 


DELETE FROM t_sm_purorder WHERE FID = 'po001';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-08-09  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-08-09  00:00:00'},0,0,'spy001',' ',' ',' ','grp001',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-08-09  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po001',0,' ',' ',' ',' ',0,0,0,' ','pobill001',' ',' ',' ',' ',' ',' ',0,0); 
DELETE FROM t_sm_purorder WHERE FID = 'po002';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-08-10  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-08-10  00:00:00'},0,0,'spy001',' ',' ',' ','grp001',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-08-16  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po002',0,' ',' ',' ',' ',0,0,0,' ','pobill002',' ',' ',' ',' ',' ',' ',0,0); 
DELETE FROM t_sm_purorder WHERE FID = 'po003';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-09-11  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-09-11  00:00:00'},0,0,'spy002',' ',' ',' ','grp003',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-09-11  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po003',0,' ',' ',' ',' ',0,0,0,' ','pobill003',' ',' ',' ',' ',' ',' ',0,0); 
DELETE FROM t_sm_purorder WHERE FID = 'po004';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-09-12  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-09-12  00:00:00'},0,0,'spy002',' ',' ',' ','grp003',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-09-19  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po004',0,' ',' ',' ',' ',0,0,0,' ','pobill004',' ',' ',' ',' ',' ',' ',0,0); 
DELETE FROM t_sm_purorder WHERE FID = 'po005';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-09-13  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-09-13  00:00:00'},0,0,'spy003',' ',' ',' ','grp002',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-09-13  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po005',0,' ',' ',' ',' ',0,0,0,' ','pobill005',' ',' ',' ',' ',' ',' ',0,0); 
DELETE FROM t_sm_purorder WHERE FID = 'po006';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-10-13  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-10-13  00:00:00'},0,0,'spy003',' ',' ',' ','grp002',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-10-13  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po006',0,' ',' ',' ',' ',0,0,0,' ','pobill006',' ',' ',' ',' ',' ',' ',0,0); 
DELETE FROM t_sm_purorder WHERE FID = 'po007';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-10-15  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-10-15  00:00:00'},0,0,'spy004',' ',' ',' ','grp004',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-10-22  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po007',0,' ',' ',' ',' ',0,0,0,' ','pobill007',' ',' ',' ',' ',' ',' ',0,0); 
DELETE FROM t_sm_purorder WHERE FID = 'po008';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-11-02  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-11-02  00:00:00'},0,0,'spy004',' ',' ',' ','grp004',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-11-08  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po008',0,' ',' ',' ',' ',0,0,0,' ','pobill008',' ',' ',' ',' ',' ',' ',0,0); 
DELETE FROM t_sm_purorder WHERE FID = 'po009';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-11-02  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-11-02  00:00:00'},0,0,'spy005',' ',' ',' ','grp005',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-11-08  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po009',0,' ',' ',' ',' ',0,0,0,' ','pobill009',' ',' ',' ',' ',' ',' ',0,0); 
DELETE FROM t_sm_purorder WHERE FID = 'po010';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-11-03  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-11-03  00:00:00'},0,0,'spy005',' ',' ',' ','grp005',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-11-03  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po010',0,' ',' ',' ',' ',0,0,0,' ','pobill010',' ',' ',' ',' ',' ',' ',0,0); 
DELETE FROM t_sm_purorder WHERE FID = 'po011';
INSERT INTO t_sm_purorder(FYEAR,FBASESTATUS,FSOURCEBILLTYPEID,FSALEORGUNITID,FALTERPERSON,FBIZDATE,FWAREHOUSEID,FSOURCEFUNCTION,FISSYSBILL,FCOMPANYORGUNITID,FISDIRECTSEND,FISMATCHED,FPREPAYMENTRATE,FSOURCEBILLID,FCREATETIME,FLOCALTOTALAMOUNT,FTOTALTAX,FSUPPLIERID,FSETTLEMENTTYPEID,FPAYMENTCONDITIONID,FSTORAGEORGUNITID,FPURCHASEGROUPID,FUNPREPAIDAMOUNT,FSALEORDERID,FALTERDATE,FOLDSTATUS,FPREPAID,FTOTALTAXAMOUNT,FOLDID,FPURORDERENTRY,FCURRENCYID,FAUDITTIME,FISCENTRALBALANCE,FBIZTYPEID,FPREPAYMENTDATE,FPURCHASEORGUNITID,FPREPAYMENT,FSUPPLIERCONFIRM,FISINNERSALE,FISINTAX,FCONTROLUNITID,FHASEFFECTED,FINVOICEDAMOUNT,FID,FVERSION,FISQUICKEN,FPURCHASEPERSONID,FCONVERTMODE,FSUPPLIERADDRESS,FLOCALTOTALTAXAMOUNT,FPAIDAMOUNT,FPERIOD,FADMINORGUNITID,FNUMBER,FSUPPLIERORDERNUMBER,FCASHDISCOUNTID,FPAYMENTTYPEID,FISPRICEINTAX,FISAPPROVEDMATERIAL,FBILLTYPEID,FTOTALAMOUNT,FEXCHANGERATE) VALUES (0,'4.0',' ',' ',' ',{ts'2020-10-16  00:00:00'},' ',' ',' ',' ',' ',' ',0,' ',{ts'2020-10-16  00:00:00'},0,0,'spy005',' ',' ',' ','grp005',0,' ',NULL,' ',0,0,' ',' ',' ',{ts'2020-10-16  00:00:00'},' ',' ',NULL,' ',0,' ',' ',' ',' ',' ',0,'po011',0,' ',' ',' ',' ',0,0,0,' ','pobill011',' ',' ',' ',' ',' ',' ',0,0); 

DELETE FROM t_sm_purorderentry WHERE FID = 'poe001';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt001id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,10.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe001',0,' ',0,0,0,'po001',' ',' ',0,0,0,' ',' '); 
DELETE FROM t_sm_purorderentry WHERE FID = 'poe002';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt002id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,11.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe002',0,' ',0,0,0,'po002',' ',' ',0,0,0,' ',' '); 
DELETE FROM t_sm_purorderentry WHERE FID = 'poe003';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt003id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,12.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe003',0,' ',0,0,0,'po003',' ',' ',0,0,0,' ',' '); 
DELETE FROM t_sm_purorderentry WHERE FID = 'poe004';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt001id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,13.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe004',0,' ',0,0,0,'po004',' ',' ',0,0,0,' ',' '); 
DELETE FROM t_sm_purorderentry WHERE FID = 'poe005';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt002id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,14.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe005',0,' ',0,0,0,'po005',' ',' ',0,0,0,' ',' '); 
DELETE FROM t_sm_purorderentry WHERE FID = 'poe006';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt003id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,15.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe006',0,' ',0,0,0,'po006',' ',' ',0,0,0,' ',' '); 
DELETE FROM t_sm_purorderentry WHERE FID = 'poe007';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt001id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,16.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe007',0,' ',0,0,0,'po007',' ',' ',0,0,0,' ',' '); 
DELETE FROM t_sm_purorderentry WHERE FID = 'poe008';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt002id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,17.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe008',0,' ',0,0,0,'po008',' ',' ',0,0,0,' ',' '); 
DELETE FROM t_sm_purorderentry WHERE FID = 'poe009';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt003id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,18.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe009',0,' ',0,0,0,'po009',' ',' ',0,0,0,' ',' '); 
DELETE FROM t_sm_purorderentry WHERE FID = 'poe010';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt001id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,19.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe010',0,' ',0,0,0,'po010',' ',' ',0,0,0,' ',' '); 
DELETE FROM t_sm_purorderentry WHERE FID = 'poe011';
INSERT INTO t_sm_purorderentry(FTAXPRICE,FUNORDEREDQTY,FISREQPREPAYGTPREPAY,FMATCHEDAMOUNT,FSOURCEBILLTYPEID,FACTUALTAXPRICE,FUNITID,FISBETWEENCOMPANYREC,FWAREHOUSEID,FTOTALUNRECEIVEBASEQTY,FTOTALUNRECEIVEQTY,FCOMPANYORGUNITID,FTOTALPAIDAMOUNT,FTOTALRECEIVEBASEQTY,FLOCALTAX,FDISCOUNTAMOUNT,FBASEUNITID,FSEQ,FISQUANTITYUNCTRL,FTOTALEXPENSE,FDISCOUNTRATE,FPURCONTRACTID,FTOTALMOVEQTY,FPRERECEIVED,FOLDID,FCURSEORDERQTY,FISSUPINFO,FTAXAMOUNT,FPREPAIDAMOUNT,FMATERIALID,FCANINVMOVEQTY,FSOURCEBILLENTRYSEQ,FQCSTANDARDID,FTOTALREQPAYAMT,FDESTINATIONTYPE,FNONUMMATERIALMODEL,FASSOCIATEQTY,FAMOUNT,FASSISTQTY,FTOTALINVOICEDBASEQTY,FDEMANDQTY,FADMINORGUNITID,FISREQCOMEQLRECCOM,FCLOSEDATE,FSOURCEBILLNUMBER,FDELIVERYDATE,FCOSTENTRY,FTRACKNOID,FSUPPLIERMATERIALNAME,FSUPPLIERMATERIALNUMBER,FSUPPLIERMATERIALMODEL,FBASESTATUS,FLOCALAMOUNT,FBIZDATE,FSALEORDERNUMBER,FSOURCEBILLENTRYID,FTOTALINVOICEDAMOUNT,FISREQUESTTORECEIVED,FSOURCEBILLID,FBASEQTY,FROWTYPEID,FPROJECTID,FMATERIALNAME,FACTUALPRICE,FTOTALUNRETURNBASEQTY,FASSCOEFFICIENT,FUNPRERECEIVEDAM,FSTORAGEORGUNITID,FPRICE,FTAX,FTOTALRECEIVEQTY,FOLDSTATUS,FREQUESTORGUNITID,FTOTALPREPAYAMT,FTOTALRETURNEDBASEQTY,FDELIVERADVANCEDAY,FTOTALSUPPLYSTOCKQTY,FQTY,FRECEIVEOVERRATE,FPLANRECEIVEQTY,FISPRESENT,FREASON,FTOTALSUPPLYSTOCKBASEQTY,FTOTALINVOICEDQTY,FPURCHASEORGUNITID,FPREPAYMENT,FLOCALTAXAMOUNT,FTOTALINVOICEDAMT,FDELIVERDEFERRALDAY,FTOTALRETURNEDQTY,FASSETNUMBER,FID,FVERSION,FASSISTUNITID,FTAXRATE,FTOTALCANCELLEDSTOCKQTY,FTOTALORDERQTY,FPARENTID,FDELIVERYADDRESS,FREQUESTCOMPANYORGUNITID,FTOTALRECEIPTBASEQTY,FRECEIVEOWINGRATE,FTOTALRECEIPTQTY,FTRACKNUMBER,FISTIMEUNCTRL) VALUES (0,0,0,0,' ',0,' ',' ',' ',0,0,' ',0,0,0,0,' ',0,' ',0,0,' ',0,0,' ',0,' ',0,0,'mt002id',0,0,' ',0,' ',' ',0,0,0,0,0,' ',' ',NULL,' ',NULL,' ',' ',' ',' ',' ',' ',0,NULL,' ',' ',0,' ',' ',0,' ',' ',' ',0,0,0,0,' ',0,0,0,' ',' ',0,0,0,0,20.0000000000,0,0,' ',' ',0,0,' ',0,0,0,0,0,' ','poe011',0,' ',0,0,0,'po011',' ',' ',0,0,0,' ',' '); 



DELETE FROM t_sm_purrequest WHERE FID = 'pre001';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-08-09  00:00:00'},' ',' ',' ',{ts'2020-08-09  00:00:00'},' ',' ',0,' ',' ','pre001',' ',0,'probill001',' ',' ',' ',' ',' ',0,{ts'2020-08-09  00:00:00'}); 
DELETE FROM t_sm_purrequest WHERE FID = 'pre002';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-08-10  00:00:00'},' ',' ',' ',{ts'2020-08-10  00:00:00'},' ',' ',0,' ',' ','pre002',' ',0,'probill002',' ',' ',' ',' ',' ',0,{ts'2020-08-16  00:00:00'}); 
DELETE FROM t_sm_purrequest WHERE FID = 'pre003';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-09-11  00:00:00'},' ',' ',' ',{ts'2020-09-11  00:00:00'},' ',' ',0,' ',' ','pre003',' ',0,'probill003',' ',' ',' ',' ',' ',0,{ts'2020-09-11  00:00:00'}); 
DELETE FROM t_sm_purrequest WHERE FID = 'pre004';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-09-12  00:00:00'},' ',' ',' ',{ts'2020-09-12  00:00:00'},' ',' ',0,' ',' ','pre004',' ',0,'probill004',' ',' ',' ',' ',' ',0,{ts'2020-09-19  00:00:00'}); 
DELETE FROM t_sm_purrequest WHERE FID = 'pre005';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-09-13  00:00:00'},' ',' ',' ',{ts'2020-09-13  00:00:00'},' ',' ',0,' ',' ','pre005',' ',0,'probill005',' ',' ',' ',' ',' ',0,{ts'2020-09-13  00:00:00'}); 
DELETE FROM t_sm_purrequest WHERE FID = 'pre006';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-10-13  00:00:00'},' ',' ',' ',{ts'2020-10-13  00:00:00'},' ',' ',0,' ',' ','pre006',' ',0,'probill006',' ',' ',' ',' ',' ',0,{ts'2020-10-13  00:00:00'}); 
DELETE FROM t_sm_purrequest WHERE FID = 'pre007';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-10-15  00:00:00'},' ',' ',' ',{ts'2020-10-15  00:00:00'},' ',' ',0,' ',' ','pre007',' ',0,'probill007',' ',' ',' ',' ',' ',0,{ts'2020-10-22  00:00:00'}); 
DELETE FROM t_sm_purrequest WHERE FID = 'pre008';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-11-02  00:00:00'},' ',' ',' ',{ts'2020-11-02  00:00:00'},' ',' ',0,' ',' ','pre008',' ',0,'probill008',' ',' ',' ',' ',' ',0,{ts'2020-11-08  00:00:00'}); 
DELETE FROM t_sm_purrequest WHERE FID = 'pre009';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-11-02  00:00:00'},' ',' ',' ',{ts'2020-11-02  00:00:00'},' ',' ',0,' ',' ','pre009',' ',0,'probill009',' ',' ',' ',' ',' ',0,{ts'2020-11-08  00:00:00'}); 
DELETE FROM t_sm_purrequest WHERE FID = 'pre010';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-11-03  00:00:00'},' ',' ',' ',{ts'2020-11-03  00:00:00'},' ',' ',0,' ',' ','pre010',' ',0,'probill010',' ',' ',' ',' ',' ',0,{ts'2020-11-03  00:00:00'}); 
DELETE FROM t_sm_purrequest WHERE FID = 'pre011';
INSERT INTO t_sm_purrequest(FBIZTYPEID,FYEAR,FBASESTATUS,FPURREQUESTENTRY,FSOURCEBILLTYPEID,FBIZDATE,FSOURCEFUNCTION,FCOMPANYORGUNITID,FSOURCEBILLID,FCREATETIME,FCONTROLUNITID,FPURCHASETYPE,FLOCALTOTALAMOUNT,FHASEFFECTED,FISMERGEBILL,FID,FPURCHASEGROUPID,FPERIOD,FNUMBER,FADMINORGUNITID,FPERSONID,FBILLTYPEID,FISURGENT,FISAPPROVEDSUPPLIER,FTOTALAMOUNT,FAUDITTIME) VALUES (' ',0,'4',' ',' ',{ts'2020-10-16  00:00:00'},' ',' ',' ',{ts'2020-10-16  00:00:00'},' ',' ',0,' ',' ','pre011',' ',0,'probill011',' ',' ',' ',' ',' ',0,{ts'2020-10-16  00:00:00'}); 

DELETE FROM t_st_purpricebill WHERE FID = 'prc001';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc001',' ',' ',NULL,' ',{ts'2020-08-19  00:00:00'},' ',' ',' ','prcbill001','1.0',NULL,{ts'2020-08-09  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-08-26  00:00:00'},' '); 
DELETE FROM t_st_purpricebill WHERE FID = 'prc002';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc002',' ',' ',NULL,' ',{ts'2020-08-10  00:00:00'},' ',' ',' ','prcbill002','2',NULL,{ts'2020-08-10  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-08-16  00:00:00'},' '); 
DELETE FROM t_st_purpricebill WHERE FID = 'prc003';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc003',' ',' ',NULL,' ',{ts'2020-09-11  00:00:00'},' ',' ',' ','prcbill003','3',NULL,{ts'2020-09-11  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-09-11  00:00:00'},' '); 
DELETE FROM t_st_purpricebill WHERE FID = 'prc004';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc004',' ',' ',NULL,' ',{ts'2020-09-12  00:00:00'},' ',' ',' ','prcbill004','1',NULL,{ts'2020-09-12  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-09-19  00:00:00'},' '); 
DELETE FROM t_st_purpricebill WHERE FID = 'prc005';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc005',' ',' ',NULL,' ',{ts'2020-09-13  00:00:00'},' ',' ',' ','prcbill005','2',NULL,{ts'2020-09-13  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-09-13  00:00:00'},' '); 
DELETE FROM t_st_purpricebill WHERE FID = 'prc006';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc006',' ',' ',NULL,' ',{ts'2020-10-13  00:00:00'},' ',' ',' ','prcbill006','3',NULL,{ts'2020-10-13  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-10-21  00:00:00'},' '); 
DELETE FROM t_st_purpricebill WHERE FID = 'prc007';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc007',' ',' ',NULL,' ',{ts'2020-10-15  00:00:00'},' ',' ',' ','prcbill007','1',NULL,{ts'2020-10-15  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-10-22  00:00:00'},' '); 
DELETE FROM t_st_purpricebill WHERE FID = 'prc008';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc008',' ',' ',NULL,' ',{ts'2020-11-02  00:00:00'},' ',' ',' ','prcbill008','1',NULL,{ts'2020-11-02  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-11-08  00:00:00'},' '); 
DELETE FROM t_st_purpricebill WHERE FID = 'prc009';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc009',' ',' ',NULL,' ',{ts'2020-11-02  00:00:00'},' ',' ',' ','prcbill009','2',NULL,{ts'2020-11-02  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-11-08  00:00:00'},' '); 
DELETE FROM t_st_purpricebill WHERE FID = 'prc010';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc010',' ',' ',NULL,' ',{ts'2020-11-03  00:00:00'},' ',' ',' ','prcbill010','3',NULL,{ts'2020-11-03  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-11-03  00:00:00'},' '); 
DELETE FROM t_st_purpricebill WHERE FID = 'prc011';
INSERT INTO t_st_purpricebill(FID,FRELATIONBILLNUMBER,FPURORGUNITID,FBILLDATETO,FSALEORGUNITID,FBIZDATE,FMATERIALTO,FCUSTOMERID,FPABILLTYPE,FNUMBER,FBILLSTATUS,FUPFROMDATE,FCREATETIME,FPURPRICEBILLENTRY,FBILLTYPEID,FMATERIALFROM,FUPTODATE,FSUPPLIERID,FBILLDATEFROM,FAUDITTIME,FPABILLSTATUS) VALUES ('prc011',' ',' ',NULL,' ',{ts'2020-10-16  00:00:00'},' ',' ',' ','prcbill011','1',NULL,{ts'2020-10-16  00:00:00'},' ',' ',' ',NULL,' ',NULL,{ts'2020-10-24  00:00:00'},' '); 



DELETE FROM t_bd_supplier WHERE FID = 'spy001';
INSERT INTO t_bd_supplier(FINDUSTRYID,FCOUNTRYID,FDESCRIPTION,FEFFECTEDSTATUS,FFREEZEORGUNIT,FCREATETIME,FCONTROLUNITID,FTAXDATAID,FISMULTICOPY,FFOREIGNNAME,FISCARRIER,FBIZANALYSISCODEID,FGSPAUTHENTICATION,FID,FUSEDSTATUS,FVERSION,FBARCODE,FBIZREGISTERNO,FISINTERNALCOMPANY,FLASTUPDATETIME,FTAXRATE,FREGIONID,FMNEMONICCODE,FPROVINCEID,FSIMPLENAME,FOLDNUMBER,FLASTUPDATEUSERID,FBROWSEGROUPID,FPARENTID,FBUSILICENCE,FNAME,FNUMBER,FINTERNALCOMPANYID,FISOUTER,FADMINCUID,FCITYID,FTAXREGISTERNO,FSUPPLIERGROUPID,FBUSIEXEQUATUR,FADDRESS,FCREATORID,FARTIFICIALPERSON) VALUES (' ',' ',' ',' ',' ',NULL,' ',' ',' ',' ',' ',' ',' ','spy001',' ',0,' ',' ',' ',NULL,0,' ',' ',' ',' ',' ',' ',' ',' ',' ','供应商1',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '); 
DELETE FROM t_bd_supplier WHERE FID = 'spy002';
INSERT INTO t_bd_supplier(FINDUSTRYID,FCOUNTRYID,FDESCRIPTION,FEFFECTEDSTATUS,FFREEZEORGUNIT,FCREATETIME,FCONTROLUNITID,FTAXDATAID,FISMULTICOPY,FFOREIGNNAME,FISCARRIER,FBIZANALYSISCODEID,FGSPAUTHENTICATION,FID,FUSEDSTATUS,FVERSION,FBARCODE,FBIZREGISTERNO,FISINTERNALCOMPANY,FLASTUPDATETIME,FTAXRATE,FREGIONID,FMNEMONICCODE,FPROVINCEID,FSIMPLENAME,FOLDNUMBER,FLASTUPDATEUSERID,FBROWSEGROUPID,FPARENTID,FBUSILICENCE,FNAME,FNUMBER,FINTERNALCOMPANYID,FISOUTER,FADMINCUID,FCITYID,FTAXREGISTERNO,FSUPPLIERGROUPID,FBUSIEXEQUATUR,FADDRESS,FCREATORID,FARTIFICIALPERSON) VALUES (' ',' ',' ',' ',' ',NULL,' ',' ',' ',' ',' ',' ',' ','spy002',' ',0,' ',' ',' ',NULL,0,' ',' ',' ',' ',' ',' ',' ',' ',' ','供应商2',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '); 
DELETE FROM t_bd_supplier WHERE FID = 'spy003';
INSERT INTO t_bd_supplier(FINDUSTRYID,FCOUNTRYID,FDESCRIPTION,FEFFECTEDSTATUS,FFREEZEORGUNIT,FCREATETIME,FCONTROLUNITID,FTAXDATAID,FISMULTICOPY,FFOREIGNNAME,FISCARRIER,FBIZANALYSISCODEID,FGSPAUTHENTICATION,FID,FUSEDSTATUS,FVERSION,FBARCODE,FBIZREGISTERNO,FISINTERNALCOMPANY,FLASTUPDATETIME,FTAXRATE,FREGIONID,FMNEMONICCODE,FPROVINCEID,FSIMPLENAME,FOLDNUMBER,FLASTUPDATEUSERID,FBROWSEGROUPID,FPARENTID,FBUSILICENCE,FNAME,FNUMBER,FINTERNALCOMPANYID,FISOUTER,FADMINCUID,FCITYID,FTAXREGISTERNO,FSUPPLIERGROUPID,FBUSIEXEQUATUR,FADDRESS,FCREATORID,FARTIFICIALPERSON) VALUES (' ',' ',' ',' ',' ',NULL,' ',' ',' ',' ',' ',' ',' ','spy003',' ',0,' ',' ',' ',NULL,0,' ',' ',' ',' ',' ',' ',' ',' ',' ','供应商3',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '); 
DELETE FROM t_bd_supplier WHERE FID = 'spy004';
INSERT INTO t_bd_supplier(FINDUSTRYID,FCOUNTRYID,FDESCRIPTION,FEFFECTEDSTATUS,FFREEZEORGUNIT,FCREATETIME,FCONTROLUNITID,FTAXDATAID,FISMULTICOPY,FFOREIGNNAME,FISCARRIER,FBIZANALYSISCODEID,FGSPAUTHENTICATION,FID,FUSEDSTATUS,FVERSION,FBARCODE,FBIZREGISTERNO,FISINTERNALCOMPANY,FLASTUPDATETIME,FTAXRATE,FREGIONID,FMNEMONICCODE,FPROVINCEID,FSIMPLENAME,FOLDNUMBER,FLASTUPDATEUSERID,FBROWSEGROUPID,FPARENTID,FBUSILICENCE,FNAME,FNUMBER,FINTERNALCOMPANYID,FISOUTER,FADMINCUID,FCITYID,FTAXREGISTERNO,FSUPPLIERGROUPID,FBUSIEXEQUATUR,FADDRESS,FCREATORID,FARTIFICIALPERSON) VALUES (' ',' ',' ',' ',' ',NULL,' ',' ',' ',' ',' ',' ',' ','spy004',' ',0,' ',' ',' ',NULL,0,' ',' ',' ',' ',' ',' ',' ',' ',' ','供应商4',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '); 
DELETE FROM t_bd_supplier WHERE FID = 'spy005';
INSERT INTO t_bd_supplier(FINDUSTRYID,FCOUNTRYID,FDESCRIPTION,FEFFECTEDSTATUS,FFREEZEORGUNIT,FCREATETIME,FCONTROLUNITID,FTAXDATAID,FISMULTICOPY,FFOREIGNNAME,FISCARRIER,FBIZANALYSISCODEID,FGSPAUTHENTICATION,FID,FUSEDSTATUS,FVERSION,FBARCODE,FBIZREGISTERNO,FISINTERNALCOMPANY,FLASTUPDATETIME,FTAXRATE,FREGIONID,FMNEMONICCODE,FPROVINCEID,FSIMPLENAME,FOLDNUMBER,FLASTUPDATEUSERID,FBROWSEGROUPID,FPARENTID,FBUSILICENCE,FNAME,FNUMBER,FINTERNALCOMPANYID,FISOUTER,FADMINCUID,FCITYID,FTAXREGISTERNO,FSUPPLIERGROUPID,FBUSIEXEQUATUR,FADDRESS,FCREATORID,FARTIFICIALPERSON) VALUES (' ',' ',' ',' ',' ',NULL,' ',' ',' ',' ',' ',' ',' ','spy005',' ',0,' ',' ',' ',NULL,0,' ',' ',' ',' ',' ',' ',' ',' ',' ','供应商5',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '); 
























*/