﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BIZMODEL_I') 
 CREATE TABLE T_PHM_BIZMODEL_I (
FID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTARTRUNTIME DATETIME,
FENDRUNTIME DATETIME,
FSCHEDULEPLAN BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_RUNOBJ') 
 CREATE TABLE T_PHM_RUNOBJ (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZMODEL BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_RUNPLAN') 
 CREATE TABLE T_PHM_RUNPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREPEATMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCYCLENUM BIGINT DEFAULT 0 NOT NULL,
FBYDAYORWEEK NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSUN CHAR(1) DEFAULT '0' NOT NULL,
FMON CHAR(1) DEFAULT '0' NOT NULL,
FTUES CHAR(1) DEFAULT '0' NOT NULL,
FWED CHAR(1) DEFAULT '0' NOT NULL,
FTHUR CHAR(1) DEFAULT '0' NOT NULL,
FFRI CHAR(1) DEFAULT '0' NOT NULL,
FSAT CHAR(1) DEFAULT '0' NOT NULL,
FBYWEEK CHAR(1) DEFAULT '0' NOT NULL,
FNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNOWEEK NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXPIREDTIME DATETIME,
FNEXTRUNTIME DATETIME,
FSTARTRUNTIME DATETIME,
FENDRUNTIME DATETIME,
FTOTALCOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_RUNPLAN_A') 
 CREATE TABLE T_PHM_RUNPLAN_A (
FID BIGINT DEFAULT 0 NOT NULL,
FONE CHAR(1) DEFAULT '0' NOT NULL,
FTWO CHAR(1) DEFAULT '0' NOT NULL,
FTHREE CHAR(1) DEFAULT '0' NOT NULL,
FFOUR CHAR(1) DEFAULT '0' NOT NULL,
FFIVE CHAR(1) DEFAULT '0' NOT NULL,
FSIX CHAR(1) DEFAULT '0' NOT NULL,
FSEVEN CHAR(1) DEFAULT '0' NOT NULL,
FEIGHT CHAR(1) DEFAULT '0' NOT NULL,
FNINE CHAR(1) DEFAULT '0' NOT NULL,
FTEN CHAR(1) DEFAULT '0' NOT NULL,
FELEVEN CHAR(1) DEFAULT '0' NOT NULL,
FTWELVE CHAR(1) DEFAULT '0' NOT NULL,
FTHIRTEEN CHAR(1) DEFAULT '0' NOT NULL,
FFOURTEEN CHAR(1) DEFAULT '0' NOT NULL,
FFIFTEEN CHAR(1) DEFAULT '0' NOT NULL,
FSIXTEEN CHAR(1) DEFAULT '0' NOT NULL,
FSEVENTEEN CHAR(1) DEFAULT '0' NOT NULL,
FEIGHTEEN CHAR(1) DEFAULT '0' NOT NULL,
FNINETEEN CHAR(1) DEFAULT '0' NOT NULL,
FTWENTY CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYONE CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYTWO CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYTHREE CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYFOUR CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYFIVE CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYSIX CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYSEVEN CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYEIGHT CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYNINE CHAR(1) DEFAULT '0' NOT NULL,
FTHIRTY CHAR(1) DEFAULT '0' NOT NULL,
FTHIRTYONE CHAR(1) DEFAULT '0' NOT NULL,
FJAN CHAR(1) DEFAULT '0' NOT NULL,
FFEB CHAR(1) DEFAULT '0' NOT NULL,
FMAR CHAR(1) DEFAULT '0' NOT NULL,
FAPR CHAR(1) DEFAULT '0' NOT NULL,
FMAY CHAR(1) DEFAULT '0' NOT NULL,
FJUN CHAR(1) DEFAULT '0' NOT NULL,
FJUL CHAR(1) DEFAULT '0' NOT NULL,
FAUG CHAR(1) DEFAULT '0' NOT NULL,
FSEP CHAR(1) DEFAULT '0' NOT NULL,
FOCT CHAR(1) DEFAULT '0' NOT NULL,
FNOV CHAR(1) DEFAULT '0' NOT NULL,
FDEC CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_RUNPLAN_L') 
 CREATE TABLE T_PHM_RUNPLAN_L (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
